summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNathan Egge (unlord) <nathanegge@yahoo.com>2007-08-23 01:48:47 +0000
committerNathan Egge (unlord) <nathanegge@yahoo.com>2007-08-23 01:48:47 +0000
commit2f31c63e7a4ce5845b6c878089aafd15e335e9f6 (patch)
tree640ad7ea4fcc8dd878532a3ca8ce45796418b6d7 /games-rpg/simon1-demo/simon1-demo-1.ebuild
parentgames-rpg/indy4-demo: New ebuild for bug 142328 (diff)
downloadsunrise-2f31c63e7a4ce5845b6c878089aafd15e335e9f6.tar.gz
sunrise-2f31c63e7a4ce5845b6c878089aafd15e335e9f6.tar.bz2
sunrise-2f31c63e7a4ce5845b6c878089aafd15e335e9f6.zip
games-rpg/simon1-demo: New ebuild for bug 142359
svn path=/sunrise/; revision=4483
Diffstat (limited to 'games-rpg/simon1-demo/simon1-demo-1.ebuild')
-rw-r--r--games-rpg/simon1-demo/simon1-demo-1.ebuild35
1 files changed, 35 insertions, 0 deletions
diff --git a/games-rpg/simon1-demo/simon1-demo-1.ebuild b/games-rpg/simon1-demo/simon1-demo-1.ebuild
new file mode 100644
index 000000000..c6d0fc844
--- /dev/null
+++ b/games-rpg/simon1-demo/simon1-demo-1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit games
+
+DESCRIPTION="Simon the Sorcerer (interactive demo)"
+HOMEPAGE="http://www.adventuresoft.com/gs1.html"
+SRC_URI="http://gentooexperimental.org/~unlord/simon1demo_acorn.rar"
+
+LICENSE="freedist"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE=""
+RESTRICT="strip"
+
+RDEPEND=">=games-engines/scummvm-0.8.2"
+DEPEND="|| (
+ app-arch/unrar
+ app-arch/rar )"
+
+S=${WORKDIR}
+dir=${GAMES_DATADIR}/${PN}
+
+src_install() {
+ insinto "${dir}"
+ doins DATA EFFECTS SIMON || die "doins failed"
+ doins -r EXECUTE || die "doins -r failed"
+
+ games_make_wrapper ${PN} "scummvm -f -p \"${dir}\" simon1"
+ doicon "${FILESDIR}/${PN}.png" || die "doicon failed"
+ make_desktop_entry ${PN} "Simon the Sorcerer 1 (Demo)" ${PN}.png
+
+ prepgamesdirs
+}